Can I get some help with windows error?


#1

Hey there,

I’m getting this error:

npm http GET https://registry.npmjs.org/chai
npm http GET https://registry.npmjs.org/emissary
npm http GET https://registry.npmjs.org/lodash
npm http GET https://registry.npmjs.org/event-kit
npm http GET https://registry.npmjs.org/rimraf
npm http GET https://registry.npmjs.org/jshint
npm http GET https://registry.npmjs.org/shelljs
npm http GET https://registry.npmjs.org/space-pen
npm http GET https://registry.npmjs.org/sinon
npm http GET https://registry.npmjs.org/xregexp/2.0.0
npm http GET https://registry.npmjs.org/temp
npm http 304 https://registry.npmjs.org/chai
npm http 304 https://registry.npmjs.org/rimraf
npm http 304 https://registry.npmjs.org/lodash
npm http 304 https://registry.npmjs.org/jshint
npm http 304 https://registry.npmjs.org/event-kit
npm http 304 https://registry.npmjs.org/space-pen
npm http 304 https://registry.npmjs.org/temp
npm http 304 https://registry.npmjs.org/sinon
npm http 304 https://registry.npmjs.org/emissary
npm http 304 https://registry.npmjs.org/shelljs
npm http 304 https://registry.npmjs.org/xregexp/2.0.0
npm http GET https://registry.npmjs.org/grim
npm http GET https://registry.npmjs.org/mixto
npm http GET https://registry.npmjs.org/property-accessors
npm http GET https://registry.npmjs.org/underscore-plus
npm ERR! Error: ENOENT, lstat 'C:\Users\jim\AppData\Local\Temp\apm-install-dir-1141120-1292-fcb4rl\node_modules\linter\node_modules\lodash\dist\lodash.js'
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Windows_NT 6.1.7601
npm ERR! command "c:\\Users\\jim\\AppData\\Local\\atom\\app-0.165.0\\resources\\app\\apm\\node_modules\\atom-package-manager\\bin\\\\node.exe" "c:\\Users\\jim\\AppData\\Local\\atom\\app-0.165.0\\resources\\app\\apm\\node_modules\\atom-package-manager\\node_modules\\npm\\bin\\npm-cli.js" "--globalconfig" "c:\\Users\\jim\\AppData\\Local\\atom\\app-0.165.0\\resources\\app\\apm\\node_modules\\atom-package-manager\\.apmrc" "--userconfig" "C:\\Users\\jim\\.atom\\.apmrc" "install" "C:\\Users\\jim\\AppData\\Local\\Temp\\d-1141120-1292-10jm4uv\\package.tgz" "--target=0.18.0" "--arch=ia32" "--msvs_version=2013"
npm ERR! cwd C:\Users\jim\AppData\Local\Temp\apm-install-dir-1141120-1292-fcb4rl
npm ERR! node -v v0.10.33
npm ERR! npm -v 1.4.4
npm ERR! path C:\Users\jim\AppData\Local\Temp\apm-install-dir-1141120-1292-fcb4rl\node_modules\linter\node_modules\lodash\dist\lodash.js
npm ERR! fstream_path C:\Users\jim\AppData\Local\Temp\apm-install-dir-1141120-1292-fcb4rl\node_modules\linter\node_modules\lodash\dist\lodash.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack c:\Users\jim\AppData\Local\atom\app-0.165.0\resources\app\apm\node_modules\atom-package-manager\node_modules\npm\node_modules\fstream\lib\writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! Error: ENOENT, lstat 'C:\Users\jim\AppData\Local\Temp\apm-install-dir-1141120-1292-fcb4rl\node_modules\linter\node_modules\jshint\dist\jshint-rhino.js'
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Windows_NT 6.1.7601
npm ERR! command "c:\\Users\\jim\\AppData\\Local\\atom\\app-0.165.0\\resources\\app\\apm\\node_modules\\atom-package-manager\\bin\\\\node.exe" "c:\\Users\\jim\\AppData\\Local\\atom\\app-0.165.0\\resources\\app\\apm\\node_modules\\atom-package-manager\\node_modules\\npm\\bin\\npm-cli.js" "--globalconfig" "c:\\Users\\jim\\AppData\\Local\\atom\\app-0.165.0\\resources\\app\\apm\\node_modules\\atom-package-manager\\.apmrc" "--userconfig" "C:\\Users\\jim\\.atom\\.apmrc" "install" "C:\\Users\\jim\\AppData\\Local\\Temp\\d-1141120-1292-10jm4uv\\package.tgz" "--target=0.18.0" "--arch=ia32" "--msvs_version=2013"
npm ERR! cwd C:\Users\jim\AppData\Local\Temp\apm-install-dir-1141120-1292-fcb4rl
npm ERR! node -v v0.10.33
npm ERR! npm -v 1.4.4
npm ERR! path C:\Users\jim\AppData\Local\Temp\apm-install-dir-1141120-1292-fcb4rl\node_modules\linter\node_modules\jshint\dist\jshint-rhino.js
npm ERR! fstream_path C:\Users\jim\AppData\Local\Temp\apm-install-dir-1141120-1292-fcb4rl\node_modules\linter\node_modules\jshint\dist\jshint-rhino.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack c:\Users\jim\AppData\Local\atom\app-0.165.0\resources\app\apm\node_modules\atom-package-manager\node_modules\npm\node_modules\fstream\lib\writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm http 304 https://registry.npmjs.org/mixto
npm ERR! not found: git
npm ERR! 
npm ERR! Failed using git.
npm ERR! This is most likely not a problem with npm itself.
npm ERR! Please check if you have git installed and in your PATH.

npm ERR! System Windows_NT 6.1.7601
npm ERR! command "c:\\Users\\jim\\AppData\\Local\\atom\\app-0.165.0\\resources\\app\\apm\\node_modules\\atom-package-manager\\bin\\\\node.exe" "c:\\Users\\jim\\AppData\\Local\\atom\\app-0.165.0\\resources\\app\\apm\\node_modules\\atom-package-manager\\node_modules\\npm\\bin\\npm-cli.js" "--globalconfig" "c:\\Users\\jim\\AppData\\Local\\atom\\app-0.165.0\\resources\\app\\apm\\node_modules\\atom-package-manager\\.apmrc" "--userconfig" "C:\\Users\\jim\\.atom\\.apmrc" "install" "C:\\Users\\jim\\AppData\\Local\\Temp\\d-1141120-1292-10jm4uv\\package.tgz" "--target=0.18.0" "--arch=ia32" "--msvs_version=2013"
npm ERR! cwd C:\Users\jim\AppData\Local\Temp\apm-install-dir-1141120-1292-fcb4rl
npm ERR! node -v v0.10.33
npm ERR! npm -v 1.4.4
npm ERR! code ENOGIT
npm http 304 https://registry.npmjs.org/grim
npm http GET https://registry.npmjs.org/underscore-plus
npm http 304 https://registry.npmjs.org/underscore-plus
npm http GET https://registry.npmjs.org/underscore
npm http 304 https://registry.npmjs.org/underscore-plus
npm http 304 https://registry.npmjs.org/property-accessors
npm http 304 https://registry.npmjs.org/underscore
npm

I have done some google research on this and they said that it’s because don’t have git installed, but I do have github install and I had git installed once before.

Can you guys please tell me if node package manager is just not working right? Or if its something wrong with the git on my pc?

Thanks,

  • Jim

#2

Is Git available on your PATH?


#3

I guess not? I’ve had to work with environment variables before, but not much experience.

I don’t see git in any environment variables. Can you give me an example line of what should be in my environment variables for git?

Thanks,

  • Jim

#4

Finally got it, just followed guide here: http://blog.countableset.ch/2012/06/07/adding-git-to-windows-7-path/

Thanks,

  • Jim